﻿.tooltip-function .tip {
  position: relative;
}

.tooltip-function .tip .tooltip-content {
  visibility: hidden;
  background-color: #7f8ea6;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  opacity: 0;
  transition: opacity 0.3s;
  min-width: 100px;
  font-family: Arial;
  border: 1px gray solid;
}

.tooltip-function .tip .tooltip-content::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
  font-family: Arial;
}

.tooltip-function .tip:hover .tooltip-content {
  visibility: visible;
  opacity: 1;
}

/*-/\\\/\\\/\\\/\\\/\\\/\\\-Tooltip Bootstrap with html-/\\\/\\\/\\\/\\\/\\\/\\\-*/

.tip-content {
  display: none;
}

#pluginQmdj
  .custom-qmdj-content
  .second-row
  .plugin-qmdj-chart
  .tooltip-content
  .tooltip-body
  .teble-tooltip {
  background-color: #f5f5f5 !important;
  color: black;
  min-width: 400px;
  font-family: Arial;
  border-collapse: collapse;
  margin-top: -2px;
}

#pluginQmdj
  .custom-qmdj-content
  .second-row
  .plugin-qmdj-chart
  .tooltip-content
  .tooltip-body
  .teble-tooltip
  > tbody
  > tr
  > td {
  border: 1px solid gray;
}

@media (max-width: 578px) {
  #pluginQmdj
    .custom-qmdj-content
    .second-row
    .plugin-qmdj-chart
    .tooltip-content {
    position: fixed !important;
    top: 0;
    left: 10px;
    height: max-content !important;
    width: calc(100% - 20px) !important;
    margin-left: 0 !important;
  }

  #pluginQmdj
    .custom-qmdj-content
    .second-row
    .plugin-qmdj-chart
    .tooltip-content:after {
    left: var(--left, auto);
    top: var(--top, 100%);
    transform: var(--transform, none);
  }

  #pluginQmdj
    .custom-qmdj-content
    .second-row
    .plugin-qmdj-chart
    .tooltip-content
    .tooltip-body
    .teble-tooltip {
    font-size: 8px;
    min-width: 100%;
  }
}

.teble-tooltip.tbody.tr.td:nth-child(1) {
  min-width: 100px;
}

/*.teble-tooltip > tbody {
    border: 1px grey solid;
    border-collapse: collapse !important;
}

    .teble-tooltip > tbody > tr {
        border: 1px grey solid;
        border-collapse: collapse !important;
    }

        .teble-tooltip > tbody > tr > td {
            border: 1px grey solid;
            border-collapse: collapse !important;
        }*/

.tooltip {
  background: none !important;
  box-shadow: none !important;
  border: 0 !important;
  width: auto !important;
}

.tooltip > .tooltip-inner {
  background: #1b1b1b;
}

.arrow::before {
  border-bottom-color: #1b1b1b !important;
}

.tooltip-header {
  border-bottom: 2px solid #fff;
  box-shadow: 0px 1px 1px #424242;
  font-size: 16px;
  font-weight: bold;
}

.tooltip-header p {
  margin-bottom: 7px;
}

.tooltip-body p {
  font-size: 12px;
  margin: 5px 0;
  font-family: Arial;
}

.tooltip-body table {
  height: 100%;
}

.tooltip-footer {
  border-top: 1px solid #fff;
}

.tooltip-footer .tooltip-close {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%23fff' width='18px' height='18px'%3E%3Cpath d='M0 0h24v24H0z' fill='none'/%3E%3Cpath d='M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z'/%3E%3C/svg%3E");
  background-size: cover;
  cursor: pointer;
  height: 15px;
  width: 15px;
  position: absolute;
  right: 10px;
  bottom: 14px;
  opacity: 0.8;
}

.tooltip-footer .tooltip-close:hover {
  opacity: 1;
}

.tooltip-footer p {
  margin: 5px 0;
}

.tooltip-footer p a {
  color: #9e9e9e;
}

.tooltip-footer p a:hover {
  color: #fff;
}
/*-/\\\/\\\/\\\/\\\/\\\/\\\-Tooltip -/\\\/\\\/\\\/\\\/\\\/\\\-*/

.tooltip {
  position: absolute;
  z-index: 1070;
  display: block;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji",
    "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-style: normal;
  font-weight: 400;
  line-height: 1.5;
  text-align: left;
  text-align: start;
  text-decoration: none;
  text-shadow: none;
  text-transform: none;
  letter-spacing: normal;
  word-break: normal;
  word-spacing: normal;
  white-space: normal;
  line-break: auto;
  word-wrap: break-word;
  opacity: 0;
}

.tooltip.show {
  opacity: 0.9;
}

.tooltip .arrow {
  position: absolute;
  display: block;
  width: 0.8rem;
  height: 0.4rem;
}

.tooltip .arrow::before {
  position: absolute;
  content: "";
  border-color: transparent;
  border-style: solid;
}

.bs-tooltip-top,
.bs-tooltip-auto[x-placement^="top"] {
  padding: 0.4rem 0;
}

.bs-tooltip-top .arrow,
.bs-tooltip-auto[x-placement^="top"] .arrow {
  bottom: 0;
}

.bs-tooltip-top .arrow::before,
.bs-tooltip-auto[x-placement^="top"] .arrow::before {
  top: 0;
  border-width: 0.4rem 0.4rem 0;
  border-top-color: #000;
}

.bs-tooltip-right,
.bs-tooltip-auto[x-placement^="right"] {
  padding: 0 0.4rem;
}

.bs-tooltip-right .arrow,
.bs-tooltip-auto[x-placement^="right"] .arrow {
  left: 0;
  width: 0.4rem;
  height: 0.8rem;
}

.bs-tooltip-right .arrow::before,
.bs-tooltip-auto[x-placement^="right"] .arrow::before {
  right: 0;
  border-width: 0.4rem 0.4rem 0.4rem 0;
  border-right-color: #000;
}

.bs-tooltip-bottom,
.bs-tooltip-auto[x-placement^="bottom"] {
  padding: 0.4rem 0;
}

.bs-tooltip-bottom .arrow,
.bs-tooltip-auto[x-placement^="bottom"] .arrow {
  top: 0;
}

.bs-tooltip-bottom .arrow::before,
.bs-tooltip-auto[x-placement^="bottom"] .arrow::before {
  bottom: 0;
  border-width: 0 0.4rem 0.4rem;
  border-bottom-color: #000;
}

.bs-tooltip-left,
.bs-tooltip-auto[x-placement^="left"] {
  padding: 0 0.4rem;
}

.bs-tooltip-left .arrow,
.bs-tooltip-auto[x-placement^="left"] .arrow {
  right: 0;
  width: 0.4rem;
  height: 0.8rem;
}

.bs-tooltip-left .arrow::before,
.bs-tooltip-auto[x-placement^="left"] .arrow::before {
  left: 0;
  border-width: 0.4rem 0 0.4rem 0.4rem;
  border-left-color: #000;
}

.tooltip-inner {
  max-width: 200px;
  padding: 2px 10px 2px 10px;
  color: #fff;
  text-align: center;
  background-color: #000;
  border-radius: 0.25rem;
}

.pop-up-element-dragabble {
  visibility: hidden;
  position: fixed;
  z-index: 9;
  background-color: #f1f1f1;
  text-align: center;
  border: 1px solid #d3d3d3;
}

.pop-up-element-dragabble .resizer-right {
  width: 5px;
  height: 100%;
  background: transparent;
  position: absolute;
  right: 0;
  bottom: 0;
  cursor: move;
}

.pop-up-element-dragabble .resizer-bottom {
  width: 100%;
  height: 5px;
  background: transparent;
  position: absolute;
  right: 0;
  bottom: 0;
  cursor: move;
}

.pop-up-element-dragabble .resizer-both {
  width: 5px;
  height: 5px;
  background: transparent;
  z-index: 10;
  position: absolute;
  right: 0;
  bottom: 0;
  cursor: move;
}

.pop-up-element-dragabble.show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
  width: 500px;
  height: 500px;
  cursor: auto !important;
}

.pop-up-element-dragabble .pop-up-header {
  position: absolute;
  top: -33px;
  left: -1px;
  width: calc(100% + 2px);
  padding: 10px;
  cursor: grab;
  background-color: #7f8ea6;
  color: #fff;
}

.pop-up-element-dragabble .pop-up-header:active {
  cursor: grabbing;
}

.pop-up-element-dragabble .overflow-box {
  height: 100%;
  overflow-y: auto;
}

.pop-up-element-dragabble .close-pop-up {
  position: absolute;
  right: 9px;
  top: 0;
  color: white;
  font-size: 28px;
  font-weight: bold;
}

.pop-up-element-dragabble .close-pop-up:hover,
.pop-up-element-dragabble .close-pop-up:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.show-pop-up-dragabble {
  width: 100%;
}

.show-pop-up-dragabble:hover {
  box-shadow: 0px 0px 15px #404040;
  cursor: pointer;
}
